package com.platform.modules.foreign.entity;/**
 * Created by TROY on 2019/2/22.
 */

import com.platform.common.utils.DateUtils;
import com.platform.modules.live.entity.LiveCommentEntity;

/**
 * @author TROY
 * @version V1.0
 * @ClassName: CommentForeignEntity
 * @Description: TODO
 * @date 2019/2/22 17:52
 */
public class CommentForeignEntity {

	private String text;
	private String time;
	private String userName;
	private String headImg;

	public CommentForeignEntity() {

	}

	public CommentForeignEntity(LiveCommentEntity comment) {
		if (null == comment) {
			return;
		}
		this.text = comment.getText();
		this.time = DateUtils.format(comment.getCreateDate(), DateUtils.DATE_TIME_SHORT_PATTERN);
		this.userName = comment.getUserName();
		this.headImg = comment.getHeadImg();
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getHeadImg() {
		return headImg;
	}

	public void setHeadImg(String headImg) {
		this.headImg = headImg;
	}
}
